use super::Context;
use crate::parser::error::Res;
use crate::parser::util::start_of_line;
use crate::parser::Comment;

#[tracing::instrument(ret, level = "debug")]
pub fn comment<'r, 's>(context: Context<'r, 's>, input: &'s str) -> Res<&'s str, Comment<'s>> {
    start_of_line(context, input)?;
    todo!()
}

fn comment_line<'r, 's>(context: Context<'r, 's>, input: &'s str) -> Res<&'s str, &'s str> {
    start_of_line(context, input)?;
    todo!()
}
